<template>
  <VSnackbar
    v-model="snackbar"
    :color="popup.type"
    :timeout="popup.config.timeout"
    v-bind="popup.config.bind"
  >
    <VIcon v-if="popup.config.icon" left large>
      {{ popup.config.icon }}
    </VIcon>
    <!-- eslint-disable vue/no-v-html -->
    <div :style="{ width: '100%', display: 'flex' }" v-html="popup.msg" />

    <!-- close -->
    <template v-slot:action="{ attrs }">
      <VBtn icon v-bind="attrs" @click="snackbar = false">
        <VIcon>mdi-close</VIcon>
      </VBtn>
    </template>
  </VSnackbar>
</template>

<script>
import { mapState, mapMutations } from 'vuex'

export default {
  computed: {
    ...mapState(['popup']),

    snackbar: {
      get() {
        return this.popup.status
      },
      set(bool) {
        this.setBoolPopup(bool)
      },
    },
  },

  methods: mapMutations(['setBoolPopup']),
}
</script>
